Bug 114762 - klogind sets wrong terminal type
Summary: klogind sets wrong terminal type
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-02 15:59 UTC by Russell King
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 1.3.1-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 21:33:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Russell King 2004-02-02 15:59:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When logging in to a fc1 machine using kerberos, the terminal type
is encoded by the client with the terminal speed before being sent
to the klogind server.

klogind decodes this string back into the terminal type and speed.

Versions of krb5 from Red Hat contain a work-around for a bug where
this is not correctly decoded.

krb5-1.3.1 contains a fix for this bug from MIT people.  However,
this package also contains the RH fix (krb5-1.2.1-term.patch) as
well, which results in the bug re-appearing (the two fixes together
reintroduce the bug).

Therefore, I now end up with:

This rlogin session is encrypting all data transmissions.
Last login: Mon Feb  2 09:41:48 on :0
unknown terminal "xterm/38400"
unknown terminal "xterm/38400"

upon login.


Version-Release number of selected component (if applicable):
1.3.1-6

How reproducible:
Always

Steps to Reproduce:
1. krsh somekerberoshost
2.
3.
    

Actual Results:  [rmk@dyn-67 rmk]$ krsh dyn-67
This rlogin session is encrypting all data transmissions.
Last login: Mon Feb  2 09:41:48 on :0
unknown terminal "xterm/38400"
unknown terminal "xterm/38400"
[rmk@dyn-67 rmk]$


Expected Results:  [rmk@dyn-67 rmk]$ krsh dyn-67
This rlogin session is encrypting all data transmissions.
Last login: Mon Feb  2 09:41:48 on :0
[rmk@dyn-67 rmk]$


Additional info:

This bug can be fixed by dropping krb5-1.2.1-term.patch from the
package and rebuilding.  Confirmed by building krb5-1.3.1-6.src.rpm
without this patch for ARM.

Comment 1 Nalin Dahyabhai 2004-02-02 19:59:22 UTC
Awesome.


Note You need to log in before you can comment on or make changes to this bug.